ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Errors.Ppr

Contents

- Orphan instances

Synopsis

- pprTypeDoesNotHaveFixedRuntimeRep :: Type -> FixedRuntimeRepProvenance -> SDoc
- pprScopeError :: RdrName -> NotInScopeError -> SDoc
- tidySkolemInfo :: TidyEnv -> SkolemInfo -> SkolemInfo
- tidySkolemInfoAnon :: TidyEnv -> SkolemInfoAnon -> SkolemInfoAnon
- pprHsDocContext :: HsDocContext -> SDoc
- inHsDocContext :: HsDocContext -> SDoc
- data TcRnMessageOpts = TcRnMessageOpts {
  - tcOptsShowContext :: !Bool
  - tcOptsIfaceOpts :: !IfaceMessageOpts
  }
- pprTyThingUsedWrong :: WrongThingSort -> TcTyThing -> Name -> SDoc
- pprUntouchableVariable :: TcTyVar -> Implication -> SDoc
- mismatchMsg_ExpectedActuals :: MismatchMsg -> Maybe (Type, Type)
- messageWithInfoDiagnosticMessage :: UnitState -> ErrInfo -> Bool -> DecoratedSDoc -> DecoratedSDoc
- messageWithHsDocContext :: TcRnMessageOpts -> HsDocContext -> DecoratedSDoc -> DecoratedSDoc

# Documentation

pprTypeDoesNotHaveFixedRuntimeRep :: Type -> FixedRuntimeRepProvenance -> SDoc #

pprScopeError :: RdrName -> NotInScopeError -> SDoc #

tidySkolemInfo :: TidyEnv -> SkolemInfo -> SkolemInfo #

tidySkolemInfoAnon :: TidyEnv -> SkolemInfoAnon -> SkolemInfoAnon #

pprHsDocContext :: HsDocContext -> SDoc #

inHsDocContext :: HsDocContext -> SDoc #

data TcRnMessageOpts #

Constructors

TcRnMessageOpts |

Fields

- tcOptsShowContext :: !Bool

  Whether we show the error context or not

- tcOptsIfaceOpts :: !IfaceMessageOpts

#### Instances

Instances details

HasDefaultDiagnosticOpts TcRnMessageOpts # |
Instance details Defined in GHC.Tc.Errors.Ppr Methods defaultOpts :: TcRnMessageOpts #

pprTyThingUsedWrong :: WrongThingSort -> TcTyThing -> Name -> SDoc #

pprUntouchableVariable :: TcTyVar -> Implication -> SDoc #

mismatchMsg_ExpectedActuals :: MismatchMsg -> Maybe (Type, Type) #

Useful when overriding message printing.

messageWithInfoDiagnosticMessage :: UnitState -> ErrInfo -> Bool -> DecoratedSDoc -> DecoratedSDoc #

messageWithHsDocContext :: TcRnMessageOpts -> HsDocContext -> DecoratedSDoc -> DecoratedSDoc #

# Orphan instances

Diagnostic TcRnMessage # |

Instance details

Associated Types

type DiagnosticOpts TcRnMessage |
Instance details Defined in GHC.Tc.Errors.Ppr type DiagnosticOpts TcRnMessage = TcRnMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts TcRnMessage -> TcRnMessage -> DecoratedSDoc #

diagnosticReason :: TcRnMessage -> DiagnosticReason #

diagnosticHints :: TcRnMessage -> [GhcHint] #

diagnosticCode :: TcRnMessage -> Maybe DiagnosticCode #

HasDefaultDiagnosticOpts TcRnMessageOpts # |
Instance details Methods defaultOpts :: TcRnMessageOpts #
Outputable ImportError # |
Instance details Methods ppr :: ImportError -> SDoc #
Outputable SolverReportErrCtxt # |
Instance details Methods ppr :: SolverReportErrCtxt -> SDoc #